Bug 442005 - (CVE-2008-1721) CVE-2008-1721 python: integer signedness error in the zlib extension module
CVE-2008-1721 python: integer signedness error in the zlib extension module
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=bugtraq,reported=20080409,publ...
: Security
Depends On: 486329 486330 486351 486352 537915
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-11 03:12 EDT by Tomas Hoger
Modified: 2016-09-19 22:48 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Copy of the reproducer from the upstream bug (693 bytes, text/plain)
2008-04-23 11:05 EDT, Tomas Hoger
no flags Details
Copy of the reproducer from the upstream bug (1.36 KB, text/plain)
2008-04-23 11:06 EDT, Tomas Hoger
no flags Details

  None (edit)
Description Tomas Hoger 2008-04-11 03:12:11 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1721 to the following vulnerability:

Integer signedness error in the zlib extension module in Python 2.5.2
and earlier allows remote attackers to execute arbitrary code via a
negative signed integer, which triggers insufficient memory allocation
and a buffer overflow.

References:
http://www.securityfocus.com/archive/1/archive/1/490690/100/0/threaded
http://bugs.python.org/issue2586
http://www.securityfocus.com/bid/28715
Comment 1 Josh Bressers 2008-04-15 15:53:39 EDT
Since this issue requires a rather silly use of the python zlib module, we have
classified it as having a low security impact.

A future update may address this flaw. More information regarding issue severity
can be found here: http://www.redhat.com/security/updates/classification/
Comment 2 Tomas Hoger 2008-04-23 11:00:40 EDT
Fix as applied in zlib module: http://svn.python.org/view?rev=62235&view=rev
Comment 3 Tomas Hoger 2008-04-23 11:05:13 EDT
Created attachment 303501 [details]
Copy of the reproducer from the upstream bug

python-2.5.2-zlib-unflush-misallocation.py
Comment 4 Tomas Hoger 2008-04-23 11:06:21 EDT
Created attachment 303502 [details]
Copy of the reproducer from the upstream bug

python-2.5.2-zlib-unflush-signedness.py
Comment 5 Jan Lieskovsky 2008-10-30 10:46:53 EDT
The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.  More information regarding
issue severity can be found here:
http://www.redhat.com/security/updates/classification/
Comment 9 errata-xmlrpc 2009-07-27 05:22:58 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1176 https://rhn.redhat.com/errata/RHSA-2009-1176.html
Comment 10 errata-xmlrpc 2009-07-27 05:35:28 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:1177 https://rhn.redhat.com/errata/RHSA-2009-1177.html

Note You need to log in before you can comment on or make changes to this bug.